Package org.eclipse.rdf4j.sail.lucene

## Class AbstractLuceneIndex

- java.lang.Object
- - org.eclipse.rdf4j.sail.lucene.AbstractSearchIndex
  - - org.eclipse.rdf4j.sail.lucene.AbstractLuceneIndex

- All Implemented Interfaces:
    `SearchIndex`
  Direct Known Subclasses:
    `LuceneIndex`

      public abstract class AbstractLuceneIndex
      extends AbstractSearchIndex

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Collection<AbstractReaderMonitor>` | `oldmonitors` | keep a lit of old monitors that are still iterating but not closed (open iterators), will be all closed on shutdown items are removed from list by ReaderMnitor.endReading() when closing

    - ### Fields inherited from class org.eclipse.rdf4j.sail.lucene.AbstractSearchIndex

      `maxDocs, wktFields`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractLuceneIndex()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected abstract AbstractReaderMonitor` | `getCurrentMonitor()` |
    `Collection<AbstractReaderMonitor>` | `getOldMonitors()` |

    - ### Methods inherited from class org.eclipse.rdf4j.sail.lucene.AbstractSearchIndex

      `accept, addDocument, addDocuments, addRemoveStatements, addStatement, copyDocument, deleteDocument, evaluate, geoQuery, geoRelationQuery, getDocument, getDocuments, getIndexedTypeMapping, getResource, getSpatialContext, initialize, isGeoField, isIndexedTypeStatement, isTypeFilteringEnabled, isTypeStatement, newBulkUpdate, newDocument, parseLuceneQueryShape, parseQueryPoint, parseQueryShape, query, removeStatement, updateDocument`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.lucene.SearchIndex

      `begin, clear, clearContexts, commit, rollback, shutDown`

- - ### Field Detail

    - #### oldmonitors

          protected final Collection<AbstractReaderMonitor> oldmonitors

      keep a lit of old monitors that are still iterating but not closed (open iterators), will be all closed on shutdown items are removed from list by ReaderMnitor.endReading() when closing

  - ### Constructor Detail

    - #### AbstractLuceneIndex

          public AbstractLuceneIndex()

  - ### Method Detail

    - #### getCurrentMonitor

          protected abstract AbstractReaderMonitor getCurrentMonitor()

    - #### getOldMonitors

          public Collection<AbstractReaderMonitor> getOldMonitors()